"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRunnerDescriptionValid = exports.isRunnerNameValid = exports.isRunnerTokenValid = exports.isRunnerRegistrationTokenValid = void 0;
const tslib_1 = require("tslib");
const validator_1 = tslib_1.__importDefault(require("validator"));
const constants_1 = require("../../../initializers/constants");
const misc_1 = require("../misc");
const RUNNERS_CONSTRAINTS_FIELDS = constants_1.CONSTRAINTS_FIELDS.RUNNERS;
function isRunnerRegistrationTokenValid(value) {
    return (0, misc_1.exists)(value) && validator_1.default.isLength(value, RUNNERS_CONSTRAINTS_FIELDS.TOKEN);
}
exports.isRunnerRegistrationTokenValid = isRunnerRegistrationTokenValid;
function isRunnerTokenValid(value) {
    return (0, misc_1.exists)(value) && validator_1.default.isLength(value, RUNNERS_CONSTRAINTS_FIELDS.TOKEN);
}
exports.isRunnerTokenValid = isRunnerTokenValid;
function isRunnerNameValid(value) {
    return (0, misc_1.exists)(value) && validator_1.default.isLength(value, RUNNERS_CONSTRAINTS_FIELDS.NAME);
}
exports.isRunnerNameValid = isRunnerNameValid;
function isRunnerDescriptionValid(value) {
    return (0, misc_1.exists)(value) && validator_1.default.isLength(value, RUNNERS_CONSTRAINTS_FIELDS.DESCRIPTION);
}
exports.isRunnerDescriptionValid = isRunnerDescriptionValid;
//# sourceMappingURL=runners.js.map