"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRegistrationReasonValid = exports.isRegistrationModerationResponseValid = exports.isRegistrationStateValid = void 0;
const tslib_1 = require("tslib");
const validator_1 = tslib_1.__importDefault(require("validator"));
const constants_1 = require("../../initializers/constants");
const misc_1 = require("./misc");
const USER_REGISTRATIONS_CONSTRAINTS_FIELDS = constants_1.CONSTRAINTS_FIELDS.USER_REGISTRATIONS;
function isRegistrationStateValid(value) {
    return (0, misc_1.exists)(value) && constants_1.USER_REGISTRATION_STATES[value] !== undefined;
}
exports.isRegistrationStateValid = isRegistrationStateValid;
function isRegistrationModerationResponseValid(value) {
    return (0, misc_1.exists)(value) && validator_1.default.isLength(value, USER_REGISTRATIONS_CONSTRAINTS_FIELDS.MODERATOR_MESSAGE);
}
exports.isRegistrationModerationResponseValid = isRegistrationModerationResponseValid;
function isRegistrationReasonValid(value) {
    return (0, misc_1.exists)(value) && validator_1.default.isLength(value, USER_REGISTRATIONS_CONSTRAINTS_FIELDS.REASON_MESSAGE);
}
exports.isRegistrationReasonValid = isRegistrationReasonValid;
//# sourceMappingURL=user-registration.js.map