"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Debounce = void 0;
function Debounce(config) {
    let timeoutRef;
    return function (_target, _key, descriptor) {
        const original = descriptor.value;
        descriptor.value = function (...args) {
            clearTimeout(timeoutRef);
            timeoutRef = setTimeout(() => {
                original.apply(this, args);
            }, config.timeoutMS);
        };
    };
}
exports.Debounce = Debounce;
//# sourceMappingURL=debounce.js.map