"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFFmpegCommandWrapperOptions = void 0;
const logger_1 = require("../logger");
const config_1 = require("../../initializers/config");
const constants_1 = require("../../initializers/constants");
function getFFmpegCommandWrapperOptions(type, availableEncoders) {
    return {
        availableEncoders,
        profile: getProfile(type),
        niceness: constants_1.FFMPEG_NICE[type.toUpperCase()],
        tmpDirectory: config_1.CONFIG.STORAGE.TMP_DIR,
        threads: getThreads(type),
        logger: {
            debug: logger_1.logger.debug.bind(logger_1.logger),
            info: logger_1.logger.info.bind(logger_1.logger),
            warn: logger_1.logger.warn.bind(logger_1.logger),
            error: logger_1.logger.error.bind(logger_1.logger)
        },
        lTags: { tags: ['ffmpeg'] }
    };
}
exports.getFFmpegCommandWrapperOptions = getFFmpegCommandWrapperOptions;
function getThreads(type) {
    if (type === 'live')
        return config_1.CONFIG.LIVE.TRANSCODING.THREADS;
    if (type === 'vod')
        return config_1.CONFIG.TRANSCODING.THREADS;
    return 0;
}
function getProfile(type) {
    if (type === 'live')
        return config_1.CONFIG.LIVE.TRANSCODING.PROFILE;
    if (type === 'vod')
        return config_1.CONFIG.TRANSCODING.PROFILE;
    return undefined;
}
//# sourceMappingURL=ffmpeg-options.js.map