"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.computeOutputFPS = void 0;
const constants_1 = require("../../initializers/constants");
function computeOutputFPS(options) {
    const { resolution } = options;
    let fps = options.inputFPS;
    if (resolution !== undefined &&
        resolution < constants_1.VIDEO_TRANSCODING_FPS.KEEP_ORIGIN_FPS_RESOLUTION_MIN &&
        fps > constants_1.VIDEO_TRANSCODING_FPS.AVERAGE) {
        fps = getClosestFramerateStandard({ fps, type: 'STANDARD' });
    }
    if (fps > constants_1.VIDEO_TRANSCODING_FPS.MAX)
        fps = getClosestFramerateStandard({ fps, type: 'HD_STANDARD' });
    if (fps < constants_1.VIDEO_TRANSCODING_FPS.MIN) {
        throw new Error(`Cannot compute FPS because ${fps} is lower than our minimum value ${constants_1.VIDEO_TRANSCODING_FPS.MIN}`);
    }
    return fps;
}
exports.computeOutputFPS = computeOutputFPS;
function getClosestFramerateStandard(options) {
    const { fps, type } = options;
    return constants_1.VIDEO_TRANSCODING_FPS[type].slice(0)
        .sort((a, b) => fps % a - fps % b)[0];
}
//# sourceMappingURL=framerate.js.map