"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Memoize = void 0;
const tslib_1 = require("tslib");
const memoizee_1 = tslib_1.__importDefault(require("memoizee"));
function Memoize(config) {
    return function (_target, _key, descriptor) {
        const oldFunction = descriptor.value;
        const newFunction = (0, memoizee_1.default)(oldFunction, config);
        descriptor.value = function () {
            return newFunction.apply(this, arguments);
        };
    };
}
exports.Memoize = Memoize;
//# sourceMappingURL=memoize.js.map