"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
const tslib_1 = require("tslib");
const Sequelize = tslib_1.__importStar(require("sequelize"));
function up(utils) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        {
            const query = `
      CREATE TABLE IF NOT EXISTS "userRegistration" (
        "id" serial,
        "state" integer NOT NULL,
        "registrationReason" text NOT NULL,
        "moderationResponse" text,
        "password" varchar(255),
        "username" varchar(255) NOT NULL,
        "email" varchar(400) NOT NULL,
        "emailVerified" boolean,
        "accountDisplayName" varchar(255),
        "channelHandle" varchar(255),
        "channelDisplayName" varchar(255),
        "userId" integer REFERENCES "user" ("id") ON DELETE SET NULL ON UPDATE CASCADE,
        "createdAt" timestamp with time zone NOT NULL,
        "updatedAt" timestamp with time zone NOT NULL,
        PRIMARY KEY ("id")
      );
    `;
            yield utils.sequelize.query(query, { transaction: utils.transaction });
        }
        {
            yield utils.queryInterface.addColumn('userNotification', 'userRegistrationId', {
                type: Sequelize.INTEGER,
                defaultValue: null,
                allowNull: true,
                references: {
                    model: 'userRegistration',
                    key: 'id'
                },
                onUpdate: 'CASCADE',
                onDelete: 'SET NULL'
            }, { transaction: utils.transaction });
        }
    });
}
exports.up = up;
function down(utils) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        yield utils.queryInterface.dropTable('videoChannelSync', { transaction: utils.transaction });
    });
}
exports.down = down;
//# sourceMappingURL=0750-user-registration.js.map