"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
const tslib_1 = require("tslib");
function up(utils) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        {
            const query = `
    CREATE TABLE IF NOT EXISTS "runnerRegistrationToken"(
      "id" serial,
      "registrationToken" varchar(255) NOT NULL,
      "createdAt" timestamp with time zone NOT NULL,
      "updatedAt" timestamp with time zone NOT NULL,
      PRIMARY KEY ("id")
    );
    `;
            yield utils.sequelize.query(query, { transaction: utils.transaction });
        }
        {
            const query = `
    CREATE TABLE IF NOT EXISTS "runner"(
      "id" serial,
      "runnerToken" varchar(255) NOT NULL,
      "name" varchar(255) NOT NULL,
      "description" varchar(1000),
      "lastContact" timestamp with time zone NOT NULL,
      "ip" varchar(255) NOT NULL,
      "runnerRegistrationTokenId" integer REFERENCES "runnerRegistrationToken"("id") ON DELETE CASCADE ON UPDATE CASCADE,
      "createdAt" timestamp with time zone NOT NULL,
      "updatedAt" timestamp with time zone NOT NULL,
      PRIMARY KEY ("id")
    );
    `;
            yield utils.sequelize.query(query, { transaction: utils.transaction });
        }
        {
            const query = `
    CREATE TABLE IF NOT EXISTS "runnerJob"(
      "id" serial,
      "uuid" uuid NOT NULL,
      "type" varchar(255) NOT NULL,
      "payload" jsonb NOT NULL,
      "privatePayload" jsonb NOT NULL,
      "state" integer NOT NULL,
      "failures" integer NOT NULL DEFAULT 0,
      "error" varchar(5000),
      "priority" integer NOT NULL,
      "processingJobToken" varchar(255),
      "progress" integer,
      "startedAt" timestamp with time zone,
      "finishedAt" timestamp with time zone,
      "dependsOnRunnerJobId" integer REFERENCES "runnerJob"("id") ON DELETE CASCADE ON UPDATE CASCADE,
      "runnerId" integer REFERENCES "runner"("id") ON DELETE SET NULL ON UPDATE CASCADE,
      "createdAt" timestamp with time zone NOT NULL,
      "updatedAt" timestamp with time zone NOT NULL,
      PRIMARY KEY ("id")
    );


    `;
            yield utils.sequelize.query(query, { transaction: utils.transaction });
        }
    });
}
exports.up = up;
function down(options) {
    throw new Error('Not implemented.');
}
exports.down = down;
//# sourceMappingURL=0765-remote-transcoding.js.map