"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
const tslib_1 = require("tslib");
function up(utils) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const { transaction } = utils;
        yield utils.sequelize.query('drop index if exists "actor_preferred_username"', { transaction });
        yield utils.sequelize.query('drop index if exists "actor_preferred_username_server_id"', { transaction });
        yield utils.sequelize.query('DELETE FROM "actor" v1 USING (' +
            'SELECT MIN(id) as id, lower("preferredUsername") AS "lowerPreferredUsername", "serverId" ' +
            'FROM "actor" ' +
            'GROUP BY "lowerPreferredUsername", "serverId" HAVING COUNT(*) > 1 AND "serverId" IS NOT NULL' +
            ') v2 ' +
            'WHERE lower(v1."preferredUsername") = v2."lowerPreferredUsername" AND v1."serverId" = v2."serverId" AND v1.id <> v2.id', { transaction });
        yield utils.sequelize.query('DELETE FROM "actor" v1 USING (' +
            'SELECT MIN(id) as id, lower("preferredUsername") AS "lowerPreferredUsername", "serverId" ' +
            'FROM "actor" ' +
            'GROUP BY "lowerPreferredUsername", "serverId" HAVING COUNT(*) > 1 AND "serverId" IS NULL' +
            ') v2 ' +
            'WHERE lower(v1."preferredUsername") = v2."lowerPreferredUsername" AND v1."serverId" IS NULL AND v1.id <> v2.id', { transaction });
    });
}
exports.up = up;
function down(utils) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
    });
}
exports.down = down;
//# sourceMappingURL=0770-actor-preferred-username.js.map