"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemoteTranscodingWrapper = void 0;
const tslib_1 = require("tslib");
const runners_1 = require("../../../runners");
const abstract_transcoding_wrapper_1 = require("./abstract-transcoding-wrapper");
class RemoteTranscodingWrapper extends abstract_transcoding_wrapper_1.AbstractTranscodingWrapper {
    run() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            yield new runners_1.LiveRTMPHLSTranscodingJobHandler().create({
                rtmpUrl: this.inputPublicUrl,
                sessionId: this.sessionId,
                toTranscode: this.toTranscode,
                video: this.videoLive.Video,
                outputDirectory: this.outDirectory,
                playlist: this.streamingPlaylist,
                segmentListSize: this.segmentListSize,
                segmentDuration: this.segmentDuration
            });
        });
    }
    abort() {
        this.emit('end');
    }
}
exports.RemoteTranscodingWrapper = RemoteTranscodingWrapper;
//# sourceMappingURL=remote-transcoding-wrapper.js.map