"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRunnerJobHandlerClass = void 0;
const live_rtmp_hls_transcoding_job_handler_1 = require("./live-rtmp-hls-transcoding-job-handler");
const video_studio_transcoding_job_handler_1 = require("./video-studio-transcoding-job-handler");
const vod_audio_merge_transcoding_job_handler_1 = require("./vod-audio-merge-transcoding-job-handler");
const vod_hls_transcoding_job_handler_1 = require("./vod-hls-transcoding-job-handler");
const vod_web_video_transcoding_job_handler_1 = require("./vod-web-video-transcoding-job-handler");
const processors = {
    'vod-web-video-transcoding': vod_web_video_transcoding_job_handler_1.VODWebVideoTranscodingJobHandler,
    'vod-hls-transcoding': vod_hls_transcoding_job_handler_1.VODHLSTranscodingJobHandler,
    'vod-audio-merge-transcoding': vod_audio_merge_transcoding_job_handler_1.VODAudioMergeTranscodingJobHandler,
    'live-rtmp-hls-transcoding': live_rtmp_hls_transcoding_job_handler_1.LiveRTMPHLSTranscodingJobHandler,
    'video-studio-transcoding': video_studio_transcoding_job_handler_1.VideoStudioTranscodingJobHandler
};
function getRunnerJobHandlerClass(job) {
    return processors[job.type];
}
exports.getRunnerJobHandlerClass = getRunnerJobHandlerClass;
//# sourceMappingURL=runner-job-handlers.js.map