"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTranscodingJobs = exports.createOptimizeOrMergeAudioJobs = void 0;
const config_1 = require("../../initializers/config");
const shared_1 = require("./shared");
function createOptimizeOrMergeAudioJobs(options) {
    return getJobBuilder().createOptimizeOrMergeAudioJobs(options);
}
exports.createOptimizeOrMergeAudioJobs = createOptimizeOrMergeAudioJobs;
function createTranscodingJobs(options) {
    return getJobBuilder().createTranscodingJobs(options);
}
exports.createTranscodingJobs = createTranscodingJobs;
function getJobBuilder() {
    if (config_1.CONFIG.TRANSCODING.REMOTE_RUNNERS.ENABLED === true) {
        return new shared_1.TranscodingRunnerJobBuilder();
    }
    return new shared_1.TranscodingJobQueueBuilder();
}
//# sourceMappingURL=create-transcoding-job.js.map