"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.onTranscodingEnded = void 0;
const tslib_1 = require("tslib");
const database_utils_1 = require("../../helpers/database-utils");
const video_job_info_1 = require("../../models/video/video-job-info");
const video_state_1 = require("../video-state");
function onTranscodingEnded(options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const { video, isNewVideo, moveVideoToNextState } = options;
        yield video_job_info_1.VideoJobInfoModel.decrease(video.uuid, 'pendingTranscode');
        if (moveVideoToNextState) {
            yield (0, database_utils_1.retryTransactionWrapper)(video_state_1.moveToNextState, { video, isNewVideo });
        }
    });
}
exports.onTranscodingEnded = onTranscodingEnded;
//# sourceMappingURL=ended-transcoding.js.map