"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTranscodingJobPriority = void 0;
const tslib_1 = require("tslib");
const constants_1 = require("../../initializers/constants");
const video_1 = require("../../models/video/video");
function getTranscodingJobPriority(options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const { user, fallback, type } = options;
        if (!user)
            return fallback;
        const now = new Date();
        const lastWeek = new Date(now.getFullYear(), now.getMonth(), now.getDate() - 7);
        const videoUploadedByUser = yield video_1.VideoModel.countVideosUploadedByUserSince(user.id, lastWeek);
        const base = type === 'vod'
            ? constants_1.JOB_PRIORITY.TRANSCODING
            : constants_1.JOB_PRIORITY.VIDEO_STUDIO;
        return base + videoUploadedByUser;
    });
}
exports.getTranscodingJobPriority = getTranscodingJobPriority;
//# sourceMappingURL=transcoding-priority.js.map