"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.canDoQuickTranscode = void 0;
const tslib_1 = require("tslib");
const config_1 = require("../../initializers/config");
const ffmpeg_1 = require("../../../shared/ffmpeg");
function canDoQuickTranscode(path, existingProbe) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        if (config_1.CONFIG.TRANSCODING.PROFILE !== 'default')
            return false;
        const probe = existingProbe || (yield (0, ffmpeg_1.ffprobePromise)(path));
        return (yield (0, ffmpeg_1.canDoQuickVideoTranscode)(path, probe)) &&
            (yield (0, ffmpeg_1.canDoQuickAudioTranscode)(path, probe));
    });
}
exports.canDoQuickTranscode = canDoQuickTranscode;
//# sourceMappingURL=transcoding-quick-transcode.js.map