"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ensurePrivateObjectStorageProxyIsEnabled = void 0;
const config_1 = require("../../initializers/config");
const ensurePrivateObjectStorageProxyIsEnabled = [
    (req, res, next) => {
        if (config_1.CONFIG.OBJECT_STORAGE.PROXY.PROXIFY_PRIVATE_FILES !== true) {
            return res.fail({
                message: 'Private object storage proxy is not enabled',
                status: 400
            });
        }
        return next();
    }
];
exports.ensurePrivateObjectStorageProxyIsEnabled = ensurePrivateObjectStorageProxyIsEnabled;
//# sourceMappingURL=object-storage-proxy.js.map