"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteRegistrationTokenValidator = void 0;
const tslib_1 = require("tslib");
const express_validator_1 = require("express-validator");
const misc_1 = require("../../../helpers/custom-validators/misc");
const runner_registration_token_1 = require("../../../models/runner/runner-registration-token");
const core_utils_1 = require("../../../../shared/core-utils");
const utils_1 = require("../shared/utils");
const tags = ['runner'];
const deleteRegistrationTokenValidator = [
    (0, express_validator_1.param)('id').custom(misc_1.isIdValid),
    (req, res, next) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        if ((0, utils_1.areValidationErrors)(req, res, { tags }))
            return;
        const registrationToken = yield runner_registration_token_1.RunnerRegistrationTokenModel.load((0, core_utils_1.forceNumber)(req.params.id));
        if (!registrationToken) {
            return res.fail({
                status: 404,
                message: 'Registration token not found',
                tags
            });
        }
        res.locals.runnerRegistrationToken = registrationToken;
        return next();
    })
];
exports.deleteRegistrationTokenValidator = deleteRegistrationTokenValidator;
//# sourceMappingURL=registration-token.js.map