"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runnerJobsSortValidator = exports.runnerRegistrationTokensSortValidator = exports.runnersSortValidator = exports.userRegistrationsSortValidator = exports.videoChannelsFollowersSortValidator = exports.accountsFollowersSortValidator = exports.videoChannelSyncsSortValidator = exports.videoRedundanciesSortValidator = exports.availablePluginsSortValidator = exports.pluginsSortValidator = exports.videoPlaylistsSortValidator = exports.userNotificationsSortValidator = exports.serversBlocklistSortValidator = exports.accountsBlocklistSortValidator = exports.userSubscriptionsSortValidator = exports.instanceFollowingSortValidator = exports.instanceFollowersSortValidator = exports.videoChannelsSortValidator = exports.blacklistSortValidator = exports.videoRatesSortValidator = exports.videoCommentThreadsSortValidator = exports.videoCommentsValidator = exports.videoPlaylistsSearchSortValidator = exports.videoChannelsSearchSortValidator = exports.videosSearchSortValidator = exports.videoImportsSortValidator = exports.videosSortValidator = exports.abusesSortValidator = exports.jobsSortValidator = exports.accountsSortValidator = exports.adminUsersSortValidator = void 0;
const express_validator_1 = require("express-validator");
const constants_1 = require("../../initializers/constants");
const shared_1 = require("./shared");
exports.adminUsersSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.ADMIN_USERS);
exports.accountsSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.ACCOUNTS);
exports.jobsSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.JOBS, ['jobs']);
exports.abusesSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.ABUSES);
exports.videosSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.VIDEOS);
exports.videoImportsSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.VIDEO_IMPORTS);
exports.videosSearchSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.VIDEOS_SEARCH);
exports.videoChannelsSearchSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.VIDEO_CHANNELS_SEARCH);
exports.videoPlaylistsSearchSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.VIDEO_PLAYLISTS_SEARCH);
exports.videoCommentsValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.VIDEO_COMMENTS);
exports.videoCommentThreadsSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.VIDEO_COMMENT_THREADS);
exports.videoRatesSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.VIDEO_RATES);
exports.blacklistSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.BLACKLISTS);
exports.videoChannelsSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.VIDEO_CHANNELS);
exports.instanceFollowersSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.INSTANCE_FOLLOWERS);
exports.instanceFollowingSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.INSTANCE_FOLLOWING);
exports.userSubscriptionsSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.USER_SUBSCRIPTIONS);
exports.accountsBlocklistSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.ACCOUNTS_BLOCKLIST);
exports.serversBlocklistSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.SERVERS_BLOCKLIST);
exports.userNotificationsSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.USER_NOTIFICATIONS);
exports.videoPlaylistsSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.VIDEO_PLAYLISTS);
exports.pluginsSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.PLUGINS);
exports.availablePluginsSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.AVAILABLE_PLUGINS);
exports.videoRedundanciesSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.VIDEO_REDUNDANCIES);
exports.videoChannelSyncsSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.VIDEO_CHANNEL_SYNCS);
exports.accountsFollowersSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.ACCOUNT_FOLLOWERS);
exports.videoChannelsFollowersSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.CHANNEL_FOLLOWERS);
exports.userRegistrationsSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.USER_REGISTRATIONS);
exports.runnersSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.RUNNERS);
exports.runnerRegistrationTokensSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.RUNNER_REGISTRATION_TOKENS);
exports.runnerJobsSortValidator = checkSortFactory(constants_1.SORTABLE_COLUMNS.RUNNER_JOBS);
function checkSortFactory(columns, tags = []) {
    return checkSort(createSortableColumns(columns), tags);
}
function checkSort(sortableColumns, tags = []) {
    return [
        (0, express_validator_1.query)('sort')
            .optional()
            .isIn(sortableColumns),
        (req, res, next) => {
            if ((0, shared_1.areValidationErrors)(req, res, { tags }))
                return;
            return next();
        }
    ];
}
function createSortableColumns(sortableColumns) {
    const sortableColumnDesc = sortableColumns.map(sortableColumn => '-' + sortableColumn);
    return sortableColumns.concat(sortableColumnDesc);
}
//# sourceMappingURL=sort.js.map