"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActorFollowTableAttributes = void 0;
const tslib_1 = require("tslib");
const memoize_1 = require("../../../../helpers/memoize");
const server_1 = require("../../../server/server");
const actor_1 = require("../../actor");
const actor_follow_1 = require("../../actor-follow");
const actor_image_1 = require("../../actor-image");
class ActorFollowTableAttributes {
    getFollowAttributes() {
        return actor_follow_1.ActorFollowModel.getSQLAttributes('ActorFollowModel').join(', ');
    }
    getActorAttributes(actorTableName) {
        return actor_1.ActorModel.getSQLAttributes(actorTableName, `${actorTableName}.`).join(', ');
    }
    getServerAttributes(actorTableName) {
        return server_1.ServerModel.getSQLAttributes(`${actorTableName}->Server`, `${actorTableName}.Server.`).join(', ');
    }
    getAvatarAttributes(actorTableName) {
        return actor_image_1.ActorImageModel.getSQLAttributes(`${actorTableName}->Avatars`, `${actorTableName}.Avatars.`).join(', ');
    }
}
tslib_1.__decorate([
    (0, memoize_1.Memoize)(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", []),
    tslib_1.__metadata("design:returntype", void 0)
], ActorFollowTableAttributes.prototype, "getFollowAttributes", null);
tslib_1.__decorate([
    (0, memoize_1.Memoize)(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [String]),
    tslib_1.__metadata("design:returntype", void 0)
], ActorFollowTableAttributes.prototype, "getActorAttributes", null);
tslib_1.__decorate([
    (0, memoize_1.Memoize)(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [String]),
    tslib_1.__metadata("design:returntype", void 0)
], ActorFollowTableAttributes.prototype, "getServerAttributes", null);
tslib_1.__decorate([
    (0, memoize_1.Memoize)(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [String]),
    tslib_1.__metadata("design:returntype", void 0)
], ActorFollowTableAttributes.prototype, "getAvatarAttributes", null);
exports.ActorFollowTableAttributes = ActorFollowTableAttributes;
//# sourceMappingURL=actor-follow-table-attributes.js.map