"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setAsUpdated = void 0;
const tslib_1 = require("tslib");
const sequelize_1 = require("sequelize");
const updating = new Set();
function setAsUpdated(options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const { sequelize, table, id, transaction } = options;
        const key = table + '-' + id;
        if (updating.has(key))
            return;
        updating.add(key);
        try {
            yield sequelize.query(`UPDATE "${table}" SET "updatedAt" = :updatedAt WHERE id = :id`, {
                replacements: { table, id, updatedAt: new Date() },
                type: sequelize_1.QueryTypes.UPDATE,
                transaction
            });
        }
        finally {
            updating.delete(key);
        }
    });
}
exports.setAsUpdated = setAsUpdated;
//# sourceMappingURL=update.js.map