"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VideoCommentTableAttributes = void 0;
const tslib_1 = require("tslib");
const memoize_1 = require("../../../../helpers/memoize");
const account_1 = require("../../../account/account");
const actor_1 = require("../../../actor/actor");
const actor_image_1 = require("../../../actor/actor-image");
const server_1 = require("../../../server/server");
const video_comment_1 = require("../../video-comment");
class VideoCommentTableAttributes {
    getVideoCommentAttributes() {
        return video_comment_1.VideoCommentModel.getSQLAttributes('VideoCommentModel').join(', ');
    }
    getAccountAttributes() {
        return account_1.AccountModel.getSQLAttributes('Account', 'Account.').join(', ');
    }
    getVideoAttributes() {
        return [
            `"Video"."id" AS "Video.id"`,
            `"Video"."uuid" AS "Video.uuid"`,
            `"Video"."name" AS "Video.name"`
        ].join(', ');
    }
    getActorAttributes() {
        return actor_1.ActorModel.getSQLAPIAttributes('Account->Actor', `Account.Actor.`).join(', ');
    }
    getServerAttributes() {
        return server_1.ServerModel.getSQLAttributes('Account->Actor->Server', `Account.Actor.Server.`).join(', ');
    }
    getAvatarAttributes() {
        return actor_image_1.ActorImageModel.getSQLAttributes('Account->Actor->Avatars', 'Account.Actor.Avatars.').join(', ');
    }
}
tslib_1.__decorate([
    (0, memoize_1.Memoize)(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", []),
    tslib_1.__metadata("design:returntype", void 0)
], VideoCommentTableAttributes.prototype, "getVideoCommentAttributes", null);
tslib_1.__decorate([
    (0, memoize_1.Memoize)(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", []),
    tslib_1.__metadata("design:returntype", void 0)
], VideoCommentTableAttributes.prototype, "getAccountAttributes", null);
tslib_1.__decorate([
    (0, memoize_1.Memoize)(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", []),
    tslib_1.__metadata("design:returntype", void 0)
], VideoCommentTableAttributes.prototype, "getVideoAttributes", null);
tslib_1.__decorate([
    (0, memoize_1.Memoize)(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", []),
    tslib_1.__metadata("design:returntype", void 0)
], VideoCommentTableAttributes.prototype, "getActorAttributes", null);
tslib_1.__decorate([
    (0, memoize_1.Memoize)(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", []),
    tslib_1.__metadata("design:returntype", void 0)
], VideoCommentTableAttributes.prototype, "getServerAttributes", null);
tslib_1.__decorate([
    (0, memoize_1.Memoize)(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", []),
    tslib_1.__metadata("design:returntype", void 0)
], VideoCommentTableAttributes.prototype, "getAvatarAttributes", null);
exports.VideoCommentTableAttributes = VideoCommentTableAttributes;
//# sourceMappingURL=video-comment-table-attributes.js.map