"use strict";
var VideoLiveReplaySettingModel_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.VideoLiveReplaySettingModel = void 0;
const tslib_1 = require("tslib");
const videos_1 = require("../../helpers/custom-validators/videos");
const sequelize_typescript_1 = require("sequelize-typescript");
const sequelize_helpers_1 = require("../shared/sequelize-helpers");
let VideoLiveReplaySettingModel = VideoLiveReplaySettingModel_1 = class VideoLiveReplaySettingModel extends sequelize_typescript_1.Model {
    static load(id, transaction) {
        return VideoLiveReplaySettingModel_1.findOne({
            where: { id },
            transaction
        });
    }
    static removeSettings(id) {
        return VideoLiveReplaySettingModel_1.destroy({
            where: { id }
        });
    }
    toFormattedJSON() {
        return {
            privacy: this.privacy
        };
    }
};
tslib_1.__decorate([
    sequelize_typescript_1.CreatedAt,
    tslib_1.__metadata("design:type", Date)
], VideoLiveReplaySettingModel.prototype, "createdAt", void 0);
tslib_1.__decorate([
    sequelize_typescript_1.UpdatedAt,
    tslib_1.__metadata("design:type", Date)
], VideoLiveReplaySettingModel.prototype, "updatedAt", void 0);
tslib_1.__decorate([
    (0, sequelize_typescript_1.AllowNull)(false),
    (0, sequelize_typescript_1.Is)('VideoPrivacy', value => (0, sequelize_helpers_1.throwIfNotValid)(value, videos_1.isVideoPrivacyValid, 'privacy')),
    sequelize_typescript_1.Column,
    tslib_1.__metadata("design:type", Number)
], VideoLiveReplaySettingModel.prototype, "privacy", void 0);
VideoLiveReplaySettingModel = VideoLiveReplaySettingModel_1 = tslib_1.__decorate([
    (0, sequelize_typescript_1.Table)({
        tableName: 'videoLiveReplaySetting'
    })
], VideoLiveReplaySettingModel);
exports.VideoLiveReplaySettingModel = VideoLiveReplaySettingModel;
//# sourceMappingURL=video-live-replay-setting.js.map