"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chai_1 = require("chai");
const plugins_1 = require("../../helpers/custom-validators/plugins");
describe('Validators', function () {
    it('Should correctly check stable plugin versions', function () {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            (0, chai_1.expect)((0, plugins_1.isPluginStableVersionValid)('3.4.0')).to.be.true;
            (0, chai_1.expect)((0, plugins_1.isPluginStableVersionValid)('0.4.0')).to.be.true;
            (0, chai_1.expect)((0, plugins_1.isPluginStableVersionValid)('0.1.0')).to.be.true;
            (0, chai_1.expect)((0, plugins_1.isPluginStableVersionValid)('0.1.0-beta-1')).to.be.false;
            (0, chai_1.expect)((0, plugins_1.isPluginStableVersionValid)('hello')).to.be.false;
            (0, chai_1.expect)((0, plugins_1.isPluginStableVersionValid)('0.x.a')).to.be.false;
        });
    });
    it('Should correctly check unstable plugin versions', function () {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            (0, chai_1.expect)((0, plugins_1.isPluginStableOrUnstableVersionValid)('3.4.0')).to.be.true;
            (0, chai_1.expect)((0, plugins_1.isPluginStableOrUnstableVersionValid)('0.4.0')).to.be.true;
            (0, chai_1.expect)((0, plugins_1.isPluginStableOrUnstableVersionValid)('0.1.0')).to.be.true;
            (0, chai_1.expect)((0, plugins_1.isPluginStableOrUnstableVersionValid)('0.1.0-beta.1')).to.be.true;
            (0, chai_1.expect)((0, plugins_1.isPluginStableOrUnstableVersionValid)('0.1.0-alpha.45')).to.be.true;
            (0, chai_1.expect)((0, plugins_1.isPluginStableOrUnstableVersionValid)('0.1.0-rc.45')).to.be.true;
            (0, chai_1.expect)((0, plugins_1.isPluginStableOrUnstableVersionValid)('hello')).to.be.false;
            (0, chai_1.expect)((0, plugins_1.isPluginStableOrUnstableVersionValid)('0.x.a')).to.be.false;
            (0, chai_1.expect)((0, plugins_1.isPluginStableOrUnstableVersionValid)('0.1.0-rc-45')).to.be.false;
            (0, chai_1.expect)((0, plugins_1.isPluginStableOrUnstableVersionValid)('0.1.0-rc.45d')).to.be.false;
        });
    });
});
//# sourceMappingURL=validator.js.map