"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chai_1 = require("chai");
const core_utils_1 = require("../../../shared/core-utils");
describe('Version', function () {
    it('Should correctly compare two stable versions', function () {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            (0, chai_1.expect)((0, core_utils_1.compareSemVer)('3.4.0', '3.5.0')).to.be.below(0);
            (0, chai_1.expect)((0, core_utils_1.compareSemVer)('3.5.0', '3.4.0')).to.be.above(0);
            (0, chai_1.expect)((0, core_utils_1.compareSemVer)('3.4.0', '4.1.0')).to.be.below(0);
            (0, chai_1.expect)((0, core_utils_1.compareSemVer)('4.1.0', '3.4.0')).to.be.above(0);
            (0, chai_1.expect)((0, core_utils_1.compareSemVer)('3.4.0', '3.4.1')).to.be.below(0);
            (0, chai_1.expect)((0, core_utils_1.compareSemVer)('3.4.1', '3.4.0')).to.be.above(0);
        });
    });
    it('Should correctly compare two unstable version', function () {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            (0, chai_1.expect)((0, core_utils_1.compareSemVer)('3.4.0-alpha', '3.4.0-beta.1')).to.be.below(0);
            (0, chai_1.expect)((0, core_utils_1.compareSemVer)('3.4.0-alpha.1', '3.4.0-beta.1')).to.be.below(0);
            (0, chai_1.expect)((0, core_utils_1.compareSemVer)('3.4.0-beta.1', '3.4.0-beta.2')).to.be.below(0);
            (0, chai_1.expect)((0, core_utils_1.compareSemVer)('3.4.0-beta.1', '3.5.0-alpha.1')).to.be.below(0);
            (0, chai_1.expect)((0, core_utils_1.compareSemVer)('3.4.0-alpha.1', '3.4.0-nightly.4')).to.be.below(0);
            (0, chai_1.expect)((0, core_utils_1.compareSemVer)('3.4.0-nightly.3', '3.4.0-nightly.4')).to.be.below(0);
            (0, chai_1.expect)((0, core_utils_1.compareSemVer)('3.3.0-nightly.5', '3.4.0-nightly.4')).to.be.below(0);
        });
    });
    it('Should correctly compare a stable and unstable versions', function () {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            (0, chai_1.expect)((0, core_utils_1.compareSemVer)('3.4.0', '3.4.1-beta.1')).to.be.below(0);
            (0, chai_1.expect)((0, core_utils_1.compareSemVer)('3.4.0-beta.1', '3.4.0-beta.2')).to.be.below(0);
            (0, chai_1.expect)((0, core_utils_1.compareSemVer)('3.4.0-beta.1', '3.4.0')).to.be.below(0);
            (0, chai_1.expect)((0, core_utils_1.compareSemVer)('3.4.0-nightly.4', '3.4.0')).to.be.below(0);
        });
    });
});
//# sourceMappingURL=version.js.map