/// <reference types="supertest" />
import { PeerTubeServer } from '../../../shared/server-commands';
declare function dateIsValid(dateString: string | Date, interval?: number): boolean;
declare function expectStartWith(str: string, start: string): void;
declare function expectNotStartWith(str: string, start: string): void;
declare function expectEndWith(str: string, end: string): void;
declare function expectLogDoesNotContain(server: PeerTubeServer, str: string): Promise<void>;
declare function expectLogContain(server: PeerTubeServer, str: string): Promise<void>;
declare function testImageSize(url: string, imageName: string, imageHTTPPath: string, extension?: string): Promise<void>;
declare function testImage(url: string, imageName: string, imageHTTPPath: string, extension?: string): Promise<void>;
declare function testFileExistsOrNot(server: PeerTubeServer, directory: string, filePath: string, exist: boolean): Promise<void>;
declare function checkBadStartPagination(url: string, path: string, token?: string, query?: {}): import("supertest").Test;
declare function checkBadCountPagination(url: string, path: string, token?: string, query?: {}): Promise<void>;
declare function checkBadSortPagination(url: string, path: string, token?: string, query?: {}): import("supertest").Test;
declare function checkVideoDuration(server: PeerTubeServer, videoUUID: string, duration: number): Promise<void>;
export { dateIsValid, testImageSize, testImage, expectLogDoesNotContain, testFileExistsOrNot, expectStartWith, expectNotStartWith, expectEndWith, checkBadStartPagination, checkBadCountPagination, checkBadSortPagination, checkVideoDuration, expectLogContain };
//# sourceMappingURL=checks.d.ts.map