import { PeerTubeServer } from '../../../shared/server-commands';
export declare class SQLCommand {
    private readonly server;
    private sequelize;
    constructor(server: PeerTubeServer);
    deleteAll(table: string): Promise<[unknown[], unknown]>;
    getVideoShareCount(): Promise<number>;
    getInternalFileUrl(fileId: number): Promise<string>;
    setActorField(to: string, field: string, value: string): Promise<[undefined, number]>;
    setVideoField(uuid: string, field: string, value: string): Promise<[undefined, number]>;
    setPlaylistField(uuid: string, field: string, value: string): Promise<[undefined, number]>;
    countVideoViewsOf(uuid: string): Promise<number>;
    getActorImage(filename: string): Promise<{
        width: number;
        height: number;
    }>;
    setPluginVersion(pluginName: string, newVersion: string): Promise<[undefined, number]>;
    setPluginLatestVersion(pluginName: string, newVersion: string): Promise<[undefined, number]>;
    setPluginField(pluginName: string, field: string, value: string): Promise<[undefined, number]>;
    selectQuery<T extends object>(query: string, replacements?: {
        [id: string]: string | number;
    }): Promise<T[]>;
    updateQuery(query: string, replacements?: {
        [id: string]: string | number;
    }): Promise<[undefined, number]>;
    getPlaylistInfohash(playlistId: number): Promise<string | any[]>;
    setActorFollowScores(newScore: number): Promise<[undefined, number]>;
    setTokenField(accessToken: string, field: string, value: string): Promise<[undefined, number]>;
    cleanup(): Promise<void>;
    private getSequelize;
    private escapeColumnName;
}
//# sourceMappingURL=sql-command.d.ts.map