import { VideoStreamingPlaylist } from '../../../shared/models';
import { PeerTubeServer } from '../../../shared/server-commands';
declare function checkSegmentHash(options: {
    server: PeerTubeServer;
    baseUrlPlaylist: string;
    baseUrlSegment: string;
    resolution: number;
    hlsPlaylist: VideoStreamingPlaylist;
    token?: string;
}): Promise<void>;
declare function checkLiveSegmentHash(options: {
    server: PeerTubeServer;
    baseUrlSegment: string;
    videoUUID: string;
    segmentName: string;
    hlsPlaylist: VideoStreamingPlaylist;
    withRetry?: boolean;
}): Promise<void>;
declare function checkResolutionsInMasterPlaylist(options: {
    server: PeerTubeServer;
    playlistUrl: string;
    resolutions: number[];
    token?: string;
    transcoded?: boolean;
    withRetry?: boolean;
}): Promise<void>;
declare function completeCheckHlsPlaylist(options: {
    servers: PeerTubeServer[];
    videoUUID: string;
    hlsOnly: boolean;
    resolutions?: number[];
    objectStorageBaseUrl?: string;
}): Promise<void>;
declare function checkVideoFileTokenReinjection(options: {
    server: PeerTubeServer;
    videoUUID: string;
    videoFileToken: string;
    resolutions: number[];
    isLive: boolean;
}): Promise<void>;
declare function extractResolutionPlaylistUrls(masterPath: string, masterContent: string): string[];
export { checkSegmentHash, checkLiveSegmentHash, checkResolutionsInMasterPlaylist, completeCheckHlsPlaylist, extractResolutionPlaylistUrls, checkVideoFileTokenReinjection };
//# sourceMappingURL=streaming-playlists.d.ts.map