"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkPlaylistFilesWereRemoved = void 0;
const tslib_1 = require("tslib");
const chai_1 = require("chai");
const fs_extra_1 = require("fs-extra");
function checkPlaylistFilesWereRemoved(playlistUUID, server, directories = ['thumbnails']) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        for (const directory of directories) {
            const directoryPath = server.getDirectoryPath(directory);
            const files = yield (0, fs_extra_1.readdir)(directoryPath);
            for (const file of files) {
                (0, chai_1.expect)(file).to.not.contain(playlistUUID);
            }
        }
    });
}
exports.checkPlaylistFilesWereRemoved = checkPlaylistFilesWereRemoved;
//# sourceMappingURL=video-playlists.js.map