import { VideoChangeOwnershipModel } from '../../../models/video/video-change-ownership';
import { PickWith } from '../../../../shared/typescript-utils';
import { MAccountDefault, MAccountFormattable } from '../account/account';
import { MVideoFormattable, MVideoWithAllFiles } from './video';
type Use<K extends keyof VideoChangeOwnershipModel, M> = PickWith<VideoChangeOwnershipModel, K, M>;
export type MVideoChangeOwnership = Omit<VideoChangeOwnershipModel, 'Initiator' | 'NextOwner' | 'Video'>;
export type MVideoChangeOwnershipFull = MVideoChangeOwnership & Use<'Initiator', MAccountDefault> & Use<'NextOwner', MAccountDefault> & Use<'Video', MVideoWithAllFiles>;
export type MVideoChangeOwnershipFormattable = Pick<MVideoChangeOwnership, 'id' | 'status' | 'createdAt'> & Use<'Initiator', MAccountFormattable> & Use<'NextOwner', MAccountFormattable> & Use<'Video', MVideoFormattable>;
export {};
//# sourceMappingURL=video-change-ownership.d.ts.map