"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.promisify3 = exports.promisify2 = exports.promisify1 = exports.promisify0 = exports.timeoutPromise = exports.isCatchable = exports.isPromise = void 0;
function isPromise(value) {
    return value && typeof value.then === 'function';
}
exports.isPromise = isPromise;
function isCatchable(value) {
    return value && typeof value.catch === 'function';
}
exports.isCatchable = isCatchable;
function timeoutPromise(promise, timeoutMs) {
    let timer;
    return Promise.race([
        promise,
        new Promise((_res, rej) => {
            timer = setTimeout(() => rej(new Error('Timeout')), timeoutMs);
        })
    ]).finally(() => clearTimeout(timer));
}
exports.timeoutPromise = timeoutPromise;
function promisify0(func) {
    return function promisified() {
        return new Promise((resolve, reject) => {
            func.apply(null, [(err, res) => err ? reject(err) : resolve(res)]);
        });
    };
}
exports.promisify0 = promisify0;
function promisify1(func) {
    return function promisified(arg) {
        return new Promise((resolve, reject) => {
            func.apply(null, [arg, (err, res) => err ? reject(err) : resolve(res)]);
        });
    };
}
exports.promisify1 = promisify1;
function promisify2(func) {
    return function promisified(arg1, arg2) {
        return new Promise((resolve, reject) => {
            func.apply(null, [arg1, arg2, (err, res) => err ? reject(err) : resolve(res)]);
        });
    };
}
exports.promisify2 = promisify2;
function promisify3(func) {
    return function promisified(arg1, arg2, arg3) {
        return new Promise((resolve, reject) => {
            func.apply(null, [arg1, arg2, arg3, (err, res) => err ? reject(err) : resolve(res)]);
        });
    };
}
exports.promisify3 = promisify3;
//# sourceMappingURL=promises.js.map