"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFFmpegVersion = void 0;
const tslib_1 = require("tslib");
const child_process_1 = require("child_process");
const fluent_ffmpeg_1 = tslib_1.__importDefault(require("fluent-ffmpeg"));
function getFFmpegVersion() {
    return new Promise((res, rej) => {
        (0, fluent_ffmpeg_1.default)()._getFfmpegPath((err, ffmpegPath) => {
            if (err)
                return rej(err);
            if (!ffmpegPath)
                return rej(new Error('Could not find ffmpeg path'));
            return (0, child_process_1.exec)(`${ffmpegPath} -version`, (err, stdout) => {
                if (err)
                    return rej(err);
                const parsed = stdout.match(/ffmpeg version .?(\d+\.\d+(\.\d+)?)/);
                if (!(parsed === null || parsed === void 0 ? void 0 : parsed[1]))
                    return rej(new Error(`Could not find ffmpeg version in ${stdout}`));
                let version = parsed[1];
                if (version.match(/^\d+\.\d+$/)) {
                    version += '.0';
                }
            });
        });
    });
}
exports.getFFmpegVersion = getFFmpegVersion;
//# sourceMappingURL=ffmpeg-version.js.map