"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyEncoderOptions = exports.addDefaultEncoderParams = exports.addDefaultEncoderGlobalParams = void 0;
const ffmpeg_utils_1 = require("../ffmpeg-utils");
function addDefaultEncoderGlobalParams(command) {
    command.outputOption('-max_muxing_queue_size 1024')
        .outputOption('-map_metadata -1')
        .outputOption('-pix_fmt yuv420p');
}
exports.addDefaultEncoderGlobalParams = addDefaultEncoderGlobalParams;
function addDefaultEncoderParams(options) {
    const { command, encoder, fps, streamNum } = options;
    if (encoder === 'libx264') {
        command.outputOption((0, ffmpeg_utils_1.buildStreamSuffix)('-level:v', streamNum) + ' 3.1');
        if (fps) {
            command.outputOption((0, ffmpeg_utils_1.buildStreamSuffix)('-g:v', streamNum) + ' ' + (fps * 2));
        }
    }
}
exports.addDefaultEncoderParams = addDefaultEncoderParams;
function applyEncoderOptions(command, options) {
    var _a, _b;
    command.inputOptions((_a = options.inputOptions) !== null && _a !== void 0 ? _a : [])
        .outputOptions((_b = options.outputOptions) !== null && _b !== void 0 ? _b : []);
}
exports.applyEncoderOptions = applyEncoderOptions;
//# sourceMappingURL=encoder-options.js.map