/// <reference types="supertest" />
import { AbortRunnerJobBody, AcceptRunnerJobBody, AcceptRunnerJobResult, ErrorRunnerJobBody, RequestRunnerJobBody, RequestRunnerJobResult, ResultList, RunnerJobAdmin, RunnerJobLiveRTMPHLSTranscodingPayload, RunnerJobPayload, RunnerJobState, RunnerJobSuccessBody, RunnerJobType, RunnerJobUpdateBody, RunnerJobVODPayload } from '../../models';
import { AbstractCommand, OverrideCommandOptions } from '../shared';
export declare class RunnerJobsCommand extends AbstractCommand {
    list(options?: OverrideCommandOptions & {
        start?: number;
        count?: number;
        sort?: string;
        search?: string;
    }): Promise<ResultList<RunnerJobAdmin<RunnerJobPayload, import("../../models").RunnerJobPrivatePayload>>>;
    cancelByAdmin(options: OverrideCommandOptions & {
        jobUUID: string;
    }): import("supertest").Test;
    request(options: OverrideCommandOptions & RequestRunnerJobBody): Promise<RequestRunnerJobResult<RunnerJobPayload>>;
    requestVOD(options: OverrideCommandOptions & RequestRunnerJobBody): Promise<RequestRunnerJobResult<RunnerJobVODPayload>>;
    requestLive(options: OverrideCommandOptions & RequestRunnerJobBody): Promise<RequestRunnerJobResult<RunnerJobLiveRTMPHLSTranscodingPayload>>;
    accept<T extends RunnerJobPayload = RunnerJobPayload>(options: OverrideCommandOptions & AcceptRunnerJobBody & {
        jobUUID: string;
    }): Promise<AcceptRunnerJobResult<T>>;
    abort(options: OverrideCommandOptions & AbortRunnerJobBody & {
        jobUUID: string;
    }): import("supertest").Test;
    update(options: OverrideCommandOptions & RunnerJobUpdateBody & {
        jobUUID: string;
    }): import("supertest").Test;
    error(options: OverrideCommandOptions & ErrorRunnerJobBody & {
        jobUUID: string;
    }): import("supertest").Test;
    success(options: OverrideCommandOptions & RunnerJobSuccessBody & {
        jobUUID: string;
    }): import("supertest").Test;
    getJobFile(options: OverrideCommandOptions & {
        url: string;
        jobToken: string;
        runnerToken: string;
    }): import("supertest").Test;
    autoAccept(options: OverrideCommandOptions & RequestRunnerJobBody & {
        type?: RunnerJobType;
    }): Promise<AcceptRunnerJobResult<RunnerJobPayload>>;
    autoProcessWebVideoJob(runnerToken: string, jobUUIDToProcess?: string): Promise<import("../../models").RunnerJob<RunnerJobPayload> & {
        jobToken: string;
    }>;
    cancelAllJobs(options?: {
        state?: RunnerJobState;
    }): Promise<void>;
    getJob(options: OverrideCommandOptions & {
        uuid: string;
    }): Promise<RunnerJobAdmin<RunnerJobPayload, import("../../models").RunnerJobPrivatePayload>>;
    requestLiveJob(runnerToken: string): Promise<{
        uuid: string;
        type: RunnerJobType;
        payload: RunnerJobLiveRTMPHLSTranscodingPayload;
    }>;
}
//# sourceMappingURL=runner-jobs-command.d.ts.map