"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RunnerRegistrationTokensCommand = void 0;
const tslib_1 = require("tslib");
const core_utils_1 = require("../../core-utils");
const shared_1 = require("../shared");
class RunnerRegistrationTokensCommand extends shared_1.AbstractCommand {
    list(options = {}) {
        const path = '/api/v1/runners/registration-tokens';
        return this.getRequestBody(Object.assign(Object.assign({}, options), { path, query: (0, core_utils_1.pick)(options, ['start', 'count', 'sort']), implicitToken: true, defaultExpectedStatus: 200 }));
    }
    generate(options = {}) {
        const path = '/api/v1/runners/registration-tokens/generate';
        return this.postBodyRequest(Object.assign(Object.assign({}, options), { path, implicitToken: true, defaultExpectedStatus: 204 }));
    }
    delete(options) {
        const path = '/api/v1/runners/registration-tokens/' + options.id;
        return this.deleteRequest(Object.assign(Object.assign({}, options), { path, implicitToken: true, defaultExpectedStatus: 204 }));
    }
    getFirstRegistrationToken(options = {}) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const { data } = yield this.list(options);
            return data[0].registrationToken;
        });
    }
}
exports.RunnerRegistrationTokensCommand = RunnerRegistrationTokensCommand;
//# sourceMappingURL=runner-registration-tokens-command.js.map