"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RunnersCommand = void 0;
const tslib_1 = require("tslib");
const core_utils_1 = require("../../core-utils");
const requests_1 = require("../requests");
const shared_1 = require("../shared");
class RunnersCommand extends shared_1.AbstractCommand {
    list(options = {}) {
        const path = '/api/v1/runners';
        return this.getRequestBody(Object.assign(Object.assign({}, options), { path, query: (0, core_utils_1.pick)(options, ['start', 'count', 'sort']), implicitToken: true, defaultExpectedStatus: 200 }));
    }
    register(options) {
        const path = '/api/v1/runners/register';
        return (0, requests_1.unwrapBody)(this.postBodyRequest(Object.assign(Object.assign({}, options), { path, fields: (0, core_utils_1.pick)(options, ['name', 'registrationToken', 'description']), implicitToken: true, defaultExpectedStatus: 200 })));
    }
    unregister(options) {
        const path = '/api/v1/runners/unregister';
        return this.postBodyRequest(Object.assign(Object.assign({}, options), { path, fields: (0, core_utils_1.pick)(options, ['runnerToken']), implicitToken: false, defaultExpectedStatus: 204 }));
    }
    delete(options) {
        const path = '/api/v1/runners/' + options.id;
        return this.deleteRequest(Object.assign(Object.assign({}, options), { path, implicitToken: true, defaultExpectedStatus: 204 }));
    }
    autoRegisterRunner() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const { data } = yield this.server.runnerRegistrationTokens.list({ sort: 'createdAt' });
            const { runnerToken } = yield this.register({
                name: 'runner',
                registrationToken: data[0].registrationToken
            });
            return runnerToken;
        });
    }
}
exports.RunnersCommand = RunnersCommand;
//# sourceMappingURL=runners-command.js.map