/// <reference types="superagent" />
/// <reference types="supertest" />
import { About, CustomConfig, ServerConfig } from '../../models';
import { DeepPartial } from '../../typescript-utils';
import { AbstractCommand, OverrideCommandOptions } from '../shared/abstract-command';
export declare class ConfigCommand extends AbstractCommand {
    static getCustomConfigResolutions(enabled: boolean, with0p?: boolean): {
        '0p': boolean;
        '144p': boolean;
        '240p': boolean;
        '360p': boolean;
        '480p': boolean;
        '720p': boolean;
        '1080p': boolean;
        '1440p': boolean;
        '2160p': boolean;
    };
    static getEmailOverrideConfig(emailPort: number): {
        smtp: {
            hostname: string;
            port: number;
        };
    };
    enableSignup(requiresApproval: boolean, limit?: number): Promise<import("superagent").Response>;
    disableImports(): Promise<import("superagent").Response>;
    enableImports(): Promise<import("superagent").Response>;
    private setImportsEnabled;
    enableChannelSync(): Promise<import("superagent").Response>;
    disableChannelSync(): Promise<import("superagent").Response>;
    private setChannelSyncEnabled;
    enableLive(options?: {
        allowReplay?: boolean;
        transcoding?: boolean;
        resolutions?: 'min' | 'max';
    }): Promise<import("superagent").Response>;
    disableTranscoding(): Promise<import("superagent").Response>;
    enableTranscoding(webtorrent?: boolean, hls?: boolean, with0p?: boolean): Promise<import("superagent").Response>;
    enableMinimumTranscoding(webtorrent?: boolean, hls?: boolean): Promise<import("superagent").Response>;
    enableRemoteTranscoding(): Promise<import("superagent").Response>;
    enableRemoteStudio(): Promise<import("superagent").Response>;
    enableStudio(): Promise<import("superagent").Response>;
    getConfig(options?: OverrideCommandOptions): Promise<ServerConfig>;
    getIndexHTMLConfig(options?: OverrideCommandOptions): Promise<ServerConfig>;
    getAbout(options?: OverrideCommandOptions): Promise<About>;
    getCustomConfig(options?: OverrideCommandOptions): Promise<CustomConfig>;
    updateCustomConfig(options: OverrideCommandOptions & {
        newCustomConfig: CustomConfig;
    }): import("supertest").Test;
    deleteCustomConfig(options?: OverrideCommandOptions): import("supertest").Test;
    updateExistingSubConfig(options: OverrideCommandOptions & {
        newConfig: DeepPartial<CustomConfig>;
    }): Promise<import("superagent").Response>;
    updateCustomSubConfig(options: OverrideCommandOptions & {
        newConfig: DeepPartial<CustomConfig>;
    }): import("supertest").Test;
}
//# sourceMappingURL=config-command.d.ts.map