"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildFFmpegVOD = void 0;
const ffmpeg_1 = require("../../../helpers/ffmpeg");
const logger_1 = require("../../../helpers/logger");
const ffmpeg_2 = require("../../../../shared/ffmpeg");
const default_transcoding_profiles_1 = require("../default-transcoding-profiles");
function buildFFmpegVOD(job) {
    return new ffmpeg_2.FFmpegVOD(Object.assign(Object.assign({}, (0, ffmpeg_1.getFFmpegCommandWrapperOptions)('vod', default_transcoding_profiles_1.VideoTranscodingProfilesManager.Instance.getAvailableEncoders())), { updateJobProgress: progress => {
            if (!job)
                return;
            job.updateProgress(progress)
                .catch(err => logger_1.logger.error('Cannot update ffmpeg job progress', { err }));
        } }));
}
exports.buildFFmpegVOD = buildFFmpegVOD;
//# sourceMappingURL=ffmpeg-builder.js.map